Summary:	Simple program for reading/writing flash chips content
Name:		flashrom
Version:	1.2
Release:	6%{?dist}
License:	GPLv2
URL:		https://flashrom.org
Source0:	https://download.flashrom.org/releases/%{name}-v%{version}.tar.bz2

Patch0001:    0001-Install-the-man-file-when-using-meson-as-a-buildsyst.patch
Patch0002:    0002-meson-Add-missing-config-option-for-J-Link-SPI.patch
Patch0003:    0003-add-loongarch64-support-for-flashrom.patch

BuildRequires:	gcc meson 
BuildRequires:	pciutils-devel libusbx-devel libusb-devel
BuildRequires:	systemd zlib-devel
%ifarch x86_64 aarch64
BuildRequires:	dmidecode
Requires:	dmidecode
%endif
Requires:	udev


%description
flashrom is a utility for identifying, reading, writing, verifying and erasing
flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM images
on mainboards, network/graphics/storage controller cards, and various other
programmer devices.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides files for development with %{name}.



%prep
%autosetup -p1 -n %{name}-v%{version}
# Replace GROUP="plugdev" specifiers with TAG+="uaccess"
sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG+="uaccess"/g' util/z60_flashrom.rules -i



%build
%meson \
  -Dconfig_ft2232_spi=false \
  -Dconfig_jlink_spi=false \
  -Dconfig_usbblaster_spi=false \
%ifarch x86_64
  -Dconfig_internal=true
%else
  -Dconfig_atahpt=false \
  -Dconfig_atapromise=false \
  -Dconfig_atavia=false \
  -Dconfig_drkaiser=false \
  -Dconfig_gfxnvidia=false \
  -Dconfig_it8212=false \
  -Dconfig_nic3com=false \
  -Dconfig_nicintel_eeprom=false \
  -Dconfig_nicintel=false \
  -Dconfig_nicintel_spi=false \
  -Dconfig_nicnatsemi=false \
  -Dconfig_nicrealtek=false \
  -Dconfig_ogp_spi=false \
  -Dconfig_rayer_spi=false \
  -Dconfig_satamv=false \
  -Dconfig_satasii=false \
  -Dconfig_internal=false
%endif

%meson_build



%install
%meson_install

install -D -pm0644 util/z60_flashrom.rules %{buildroot}/%{_udevrulesdir}/60_flashrom.rules



%check
%meson_test



%files
%license COPYING
%doc README
%{_sbindir}/%{name}
%{_udevrulesdir}/60_flashrom.rules
%{_libdir}/libflashrom.so.1
%{_libdir}/libflashrom.so.1.0.0
%{_mandir}/man8/%{name}.*

%files devel
%{_includedir}/libflashrom.h
%{_libdir}/libflashrom.so
%{_libdir}/pkgconfig/flashrom.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-6
- Rebuilt for loongarch release

* Tue Mar 19 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.2-5
- add loongarch64 support for flashrom

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 cunshunxia <cunshunxia@tencent.com> - 1.2-1
- initial build
